Bug 131991

Summary: audio/musicpd 0.14.1_1 doesn't recognize URI scheme for stream URLs
Product: Ports & Packages Reporter: kritek
Component: Individual Port(s)Assignee: Ion-Mihai "IOnut" Tetcu <itetcu>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
mpd_curl_patch.txt none

Description kritek 2009-02-23 00:10:01 UTC
CURL support gets disabled in musicpd 0.14.1_1, the configure script cant find gnome-config which is being used to detect curl presence.
Comment 1 kritek 2009-02-23 00:22:15 UTC
ADDENDUM to the above:

from make in /usr/ports/audio/musicpd:

checking for CURL... gnome-config: not found
no
....snip...
########### MPD CONFIGURATION ############

 Client Support:
 TCP support ...................enabled
 IPv6 support ..................enabled
 Unix domain socket support ....enabled

 Playback Support:
 libao support .................disabled
 OSS support ...................enabled
 ALSA support ..................disabled
 JACK support ..................disabled
 OS X support ..................disabled
 PulseAudio support ............disabled
 FIFO support ..................enabled
 Media MVP support .............disabled
 Shout ogg streaming support ...enabled
 Shout mp3 streaming support ...enabled

 File Format Support:
 ID3 tag support ...............enabled
 mp3 support ...................enabled
 lame support ..................enabled
 Ogg Vorbis support ............enabled
  using tremor.................no
 FLAC support ..................enabled
 OggFLAC support ...............enabled(FLAC 1.1.3)
 Wave file support .............enabled
 AAC support ...................enabled
 MP4 support ...................enabled
 Musepack (MPC) support ........disabled
 WavPack support ...............disabled
 MOD support ...................disabled
 FFMPEG support ................enabled

 Other features:
 libsamplerate support .........enabled
 Zeroconf support ..............avahi
 HTTP streaming (libcurl) ......disabled

##########################################

-- 
aRDy Music and Rick Dicaire present:
http://www.ardynet.com
http://www.ardynet.com:9000/ardymusic.ogg.m3u
Comment 2 kritek 2009-02-23 00:46:58 UTC
Upon further investigation, its not gnome-config that fails to find
curl, its pkg_config not finding curl, because curl wasn't installed,
BUT there's no means to enable curl as a dependency in make config,
nor is curl a required dependency, so musicpd happily builds, just
without curl support for streaming.

-- 
aRDy Music and Rick Dicaire present:
http://www.ardynet.com
http://www.ardynet.com:9000/ardymusic.ogg.m3u
Comment 3 David Horn 2009-03-02 22:20:44 UTC
Simple unified diff patch for audio/musicpd 0.14.1_1 Makefile (attached).

- added a knob for CURL that defaults to on, and provides the
appropriate LIB_DEPENDS for curl.5
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-03-13 06:11:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-03-18 16:47:32 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 6 Pav Lucistnik freebsd_committer 2009-05-12 12:03:45 UTC
State Changed
From-To: feedback->open

Maintainer timeout reached
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-07-11 10:04:05 UTC
State Changed
From-To: open->feedback

Can you please send me the patch directly, the one in the PR seems 
unusable.
Comment 8 dfilter service freebsd_committer 2009-07-27 13:20:44 UTC
avl         2009-07-27 12:20:34 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile distinfo 
  Removed files:
    audio/musicpd        pkg-plist 
  Log:
  - Update to 0.15 [1]
  - Add new config knobs [1]
  - Add dependency on libcurl [2]
  - Use PLIST_FILES and PORTDOCS instead pkg-plist
  
  PR:             ports/136305 [1], ports/131991 [2]
  Submitted by:   David Horn <dhorn2000 AT gmail.com> [1], Rick Dicaire <kritek AT gmail.com> [2]
  Approved by:    maintainer timeout, tabthorpe (mentor)
  
  Revision  Changes    Path
  1.44      +67 -18    ports/audio/musicpd/Makefile
  1.21      +3 -3      ports/audio/musicpd/distinfo
  1.6       +0 -10     ports/audio/musicpd/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Martin Wilke freebsd_committer 2009-09-19 01:00:11 UTC
State Changed
From-To: feedback->closed

this was committed on 27.jul 2009